Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkActorCollection Class Reference

`#include <vtkActorCollection.h>`

Inheritance diagram for vtkActorCollection:

[legend]
Collaboration diagram for vtkActorCollection:

[legend]
List of all members.

## Detailed Description

a list of actors

Date:
  2002/08/22 18:39:29

Revision:
  1.44

vtkActorCollection represents and provides methods to manipulate a list of actors (i.e., vtkActor and subclasses). The list is unsorted and duplicate entries are not prevented.

See also:
  vtkActor vtkCollection

Created by:
  - Hoffman, Bill
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (33%)
  - Schroeder, Will (23%)
  - Miller, Jim (18%)
  - Hoffman, Bill (14%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkActorCollection.h)`
  - .`cxx` (`/Rendering/vtkActorCollection.cxx)`

Definition at line 53 of file vtkActorCollection.h.

## Public Types
typedef vtkPropCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | AddItem (vtkActor *a)
vtkActor * | GetNextActor ()
vtkActor * | GetLastActor ()
void | ApplyProperties (vtkProperty *p)
vtkActor * | GetNextItem ()
vtkActor * | GetLastItem ()
## Static Public Methods
vtkActorCollection * | New ()
int | IsTypeOf (const char *type)
vtkActorCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkActorCollection ()
| ~vtkActorCollection ()

## Member Typedef Documentation

typedef vtkPropCollection vtkActorCollection::Superclass

| Reimplemented from vtkPropCollection. Definition at line 57 of file vtkActorCollection.h.

## Constructor & Destructor Documentation

vtkActorCollection::vtkActorCollection | ( |  | ) | `[inline, protected]`

| Definition at line 81 of file vtkActorCollection.h.

vtkActorCollection::~vtkActorCollection | ( |  | ) | `[inline, protected]`

| Definition at line 82 of file vtkActorCollection.h.

## Member Function Documentation

vtkActorCollection* vtkActorCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkPropCollection.

virtual const char* vtkActorCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPropCollection.

int vtkActorCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPropCollection.

virtual int vtkActorCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPropCollection.

vtkActorCollection* vtkActorCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPropCollection.

virtual void vtkActorCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollection.

void vtkActorCollection::AddItem | ( | vtkActor * | a | ) | `[inline]`

| Add an actor to the list. Definition at line 95 of file vtkActorCollection.h. References vtkCollection::AddItem().

vtkActor * vtkActorCollection::GetNextActor | ( |  | ) | `[inline]`

| Get the next actor in the list. Definition at line 100 of file vtkActorCollection.h. References vtkCollection::GetNextItemAsObject(). Referenced by GetNextItem().

vtkActor * vtkActorCollection::GetLastActor | ( |  | ) | `[inline]`

| Get the last actor in the list. Definition at line 105 of file vtkActorCollection.h. References vtkCollection::Bottom, and vtkCollectionElement::Item. Referenced by GetLastItem().

vtkActor * vtkActorCollection::GetNextItem | ( |  | ) | `[inline]`

| Access routines that are provided for compatibility with previous version of VTK. Please use the GetNextActor(), GetLastActor() variants where possible. Definition at line 117 of file vtkActorCollection.h. References GetNextActor().

vtkActor * vtkActorCollection::GetLastItem | ( |  | ) | `[inline]`

| Access routines that are provided for compatibility with previous version of VTK. Please use the GetNextActor(), GetLastActor() variants where possible. Definition at line 122 of file vtkActorCollection.h. References GetLastActor().

void vtkActorCollection::ApplyProperties | ( | vtkProperty * | p | ) |

| Apply properties to all actors in this collection.

The documentation for this class was generated from the following file:

- Rendering/vtkActorCollection.h